Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAQTR

    java.lang.Object
      org.netlib.lapack.DLAQTR

    public class DLAQTR

extends java.lang.Object

    DLAQTR is a simplified interface to the JLAPACK routine dlaqtr.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAQTR solves the real quasi-triangular system
     *
     *               op(T)*p = scale*c,               if LREAL = .TRUE.
     *
     *  or the complex quasi-triangular systems
     *
     *             op(T + iB)*(p+iq) = scale*(c+id),  if LREAL = .FALSE.
     *
     *  in real arithmetic, where T is upper quasi-triangular.
     *  If LREAL = .FALSE., then the first diagonal block of T must be
     *  1 by 1, B is the specially structured matrix
     *
     *                 B = [ b(1) b(2) ... b(n) ]
     *                     [       w            ]
     *                     [           w        ]
     *                     [              .     ]
     *                     [                 w  ]
     *
     *  op(A) = A or A', A' denotes the conjugate transpose of
     *  matrix A.
     *
     *  On input, X = [ c ].  On output, X = [ p ].
     *                [ d ]                  [ q ]
     *
     *  This subroutine is designed for the condition number estimation
     *  in routine DTRSNA.
     *
     *  Arguments
     *  =========
     *
     *  LTRAN   (input) LOGICAL
     *          On entry, LTRAN specifies the option of conjugate transpose:

     *             = .FALSE.,    op(T+i*B) = T+i*B,
     *             = .TRUE.,     op(T+i*B) = (T+i*B)'.
     *
     *  LREAL   (input) LOGICAL
     *          On entry, LREAL specifies the input matrix structure:
     *             = .FALSE.,    the input is complex
     *             = .TRUE.,     the input is real
     *
     *  N       (input) INTEGER
     *          On entry, N specifies the order of T+i*B. N >= 0.
     *
     *  T       (input) DOUBLE PRECISION array, dimension (LDT,N)
     *          On entry, T contains a matrix in Schur canonical form.
     *          If LREAL = .FALSE., then the first diagonal block of T mu
     *          be 1 by 1.
     *
     *  LDT     (input) INTEGER
     *          The leading dimension of the matrix T. LDT >= max(1,N).
     *
     *  B       (input) DOUBLE PRECISION array, dimension (N)
     *          On entry, B contains the elements to form the matrix
     *          B as described above.
     *          If LREAL = .TRUE., B is not referenced.
     *
     *  W       (input) DOUBLE PRECISION
     *          On entry, W is the diagonal element of the matrix B.
     *          If LREAL = .TRUE., W is not referenced.
     *
     *  SCALE   (output) DOUBLE PRECISION
     *          On exit, SCALE is the scale factor.
     *
     *  X       (input/output) DOUBLE PRECISION array, dimension (2*N)
     *          On entry, X contains the right hand side of the system.
     *          On exit, X is overwritten by the solution.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          On exit, INFO is set to
     *             0: successful exit.
     *               1: the some diagonal 1 by 1 block has been perturbed by

     *                  a small number SMIN to keep nonsingularity.
     *               2: the some diagonal 2 by 2 block has been perturbed by

     *                  a small number in DLALN2 to keep nonsingularity.
     *          NOTE: In the interests of speed, this routine does not
     *                check the inputs for errors.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLAQTR()`

Method Summary
`static void` | `DLAQTR(boolean ltran, boolean lreal, int n, double[][] t, double[] b, double w, doubleW scale, double[] x, double[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAQTR

    public DLAQTR()

Method Detail

### DLAQTR

    public static void DLAQTR(boolean ltran,
                              boolean lreal,
                              int n,
                              double[][] t,
                              double[] b,
                              double w,
                              doubleW scale,
                              double[] x,
                              double[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD